Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046991
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-06-04 14:202021-06-11 09:10
ReporterdmiguelezView Statuspublic 
Assigned Topablobessone 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046991: JIRA-2042: Convert Ticket into Return User Action should be securitized

DescriptionIt is possible for a client to want to avoid returns flow for some users, therefore this action must me secutiritized.
Steps To ReproduceCheck in the BO that that it is not possible to add for any role a User Action for Convert Ticket into Return.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046992TAP closedpablobessone JIRA-2042: Convert Ticket into Return User Action should be securitized 

-  Notes
(0129079)
dmiguelez (developer)
2021-06-04 14:23
edited on: 2021-06-04 14:23

It might be necessary to ask platform team for a patch for DBSourceManager to be able to export UserActions.

(0129291)
hgbot (developer)
2021-06-09 23:17

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/merge_requests/17 [^]
(0129292)
hgbot (developer)
2021-06-09 23:17

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/539 [^]
(0129384)
hgbot (developer)
2021-06-11 09:09

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/merge_requests/17 [^]
(0129385)
hgbot (developer)
2021-06-11 09:09

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata [^]
Changeset: e7bc88396f6d74fb4b71213f3dee6a9ae66a9d70
Author: pablo.bessone <pablo.bessone@smfconsulting.es>
Date: 2021-06-09T18:16:27-03:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.sampledata/-/commit/e7bc88396f6d74fb4b71213f3dee6a9ae66a9d70 [^]

fixed ISSUE-0046991: added return ticket access to vall blanca roles

---
M referencedata/sampledata/The_White_Valley_Group/OBC2_USER_ACTION_ACCESS.xml
---
(0129386)
hgbot (developer)
2021-06-11 09:10

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 8914575a1aafbb5e4fa6d84a582d3f2c0faee108
Author: pablo.bessone <pablo.bessone@smfconsulting.es>
Date: 2021-06-11T07:09:46+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/8914575a1aafbb5e4fa6d84a582d3f2c0faee108 [^]

fixed ISSUE-0046991: added return ticket user action to user action window

---
M src-db/database/sourcedata/OBC2_USER_ACTION.xml
---
(0129387)
hgbot (developer)
2021-06-11 09:10

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/539 [^]

- Issue History
Date Modified Username Field Change
2021-06-04 14:20 dmiguelez New Issue
2021-06-04 14:20 dmiguelez Assigned To => Retail
2021-06-04 14:20 dmiguelez Triggers an Emergency Pack => No
2021-06-04 14:21 dmiguelez Status new => scheduled
2021-06-04 14:21 dmiguelez Regression date => 2021-06-11
2021-06-04 14:22 dmiguelez Assigned To Retail => pablobessone
2021-06-04 14:23 dmiguelez Note Added: 0129079
2021-06-04 14:23 dmiguelez Note Edited: 0129079 View Revisions
2021-06-04 14:32 dmiguelez Summary Convert Ticket into Return User Action should be securitized => JIRA-2042: Convert Ticket into Return User Action should be securitized
2021-06-04 15:04 dmiguelez Regression date 2021-06-11 =>
2021-06-09 23:17 hgbot Note Added: 0129291
2021-06-09 23:17 hgbot Note Added: 0129292
2021-06-11 09:09 hgbot Note Added: 0129384
2021-06-11 09:09 hgbot Resolution open => fixed
2021-06-11 09:09 hgbot Status scheduled => closed
2021-06-11 09:09 hgbot Note Added: 0129385
2021-06-11 09:10 hgbot Note Added: 0129386
2021-06-11 09:10 hgbot Note Added: 0129387


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker